com.google.cloud.dataflow.sdk.options

## Enum DataflowWorkerLoggingOptions.Level

- java.lang.Object
- - java.lang.Enum<DataflowWorkerLoggingOptions.Level>
  - - com.google.cloud.dataflow.sdk.options.DataflowWorkerLoggingOptions.Level

All Implemented Interfaces:
  Serializable, Comparable<DataflowWorkerLoggingOptions.Level>

Enclosing interface:
  DataflowWorkerLoggingOptions

    public static enum DataflowWorkerLoggingOptions.Level
    extends Enum<DataflowWorkerLoggingOptions.Level>

The set of log levels that can be used on the Dataflow worker.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEBUG`
`ERROR`
`INFO`
`TRACE`
`WARN`

### Method Summary

All Methods Static Methods Concrete Methods
`static DataflowWorkerLoggingOptions.Level` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataflowWorkerLoggingOptions.Level[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEBUG

    public static final DataflowWorkerLoggingOptions.Level DEBUG

#### ERROR

    public static final DataflowWorkerLoggingOptions.Level ERROR

#### INFO

    public static final DataflowWorkerLoggingOptions.Level INFO

#### TRACE

    public static final DataflowWorkerLoggingOptions.Level TRACE

#### WARN

    public static final DataflowWorkerLoggingOptions.Level WARN

### Method Detail

#### values

    public static DataflowWorkerLoggingOptions.Level[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataflowWorkerLoggingOptions.Level c : DataflowWorkerLoggingOptions.Level.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataflowWorkerLoggingOptions.Level valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null